org.eclipse.ease.ui.scripts.keywordhandler

## Class ShutdownHandler

- java.lang.Object
- - org.eclipse.ease.ui.scripts.keywordhandler.ShutdownHandler

All Implemented Interfaces:
  IWorkbenchListener, org.osgi.service.event.EventHandler

    public class ShutdownHandler
    extends java.lang.Object
    implements org.osgi.service.event.EventHandler, IWorkbenchListener

### Constructor Summary

Constructors
Constructor and Description
`ShutdownHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleEvent(org.osgi.service.event.Event event)`
`void` `postShutdown(IWorkbench workbench)`
`boolean` `preShutdown(IWorkbench workbench, boolean forced)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShutdownHandler

    public ShutdownHandler()

### Method Detail

#### handleEvent

    public void handleEvent(org.osgi.service.event.Event event)

Specified by:
  `handleEvent` in interface `org.osgi.service.event.EventHandler`

#### preShutdown

    public boolean preShutdown(IWorkbench workbench,
                               boolean forced)

Specified by:
  `preShutdown` in interface `IWorkbenchListener`

#### postShutdown

    public void postShutdown(IWorkbench workbench)

Specified by:
  `postShutdown` in interface `IWorkbenchListener`